# CDP Service

## Summary

This page applies only to Single-Collateral Dai.

Retrieve the ETH CDP Service through Maker.service('cdp'). The ETH CDP Service exposes risk parameter information for the Ether CDP type (in single-collateral Dai, this is the only CDP Type).

```javascript
const service = maker.service('cdp');
```

## getLiquidationRatio

* **Params:** none
* **Returns:** promise (resolves to liquidation ratio)

`getLiquidationRatio()` returns a decimal representation of the liquidation ratio, e.g. 1.5

```javascript
const ratio = await service.getLiquidationRatio();
```

## getLiquidationPenalty

* **Params:** none
* **Returns:** promise (resolves to liquidation penalty)

`getLiquidationPenalty()` returns a decimal representation of the liquidation penalty, e.g. 0.13

```javascript
const penalty = await service.getLiquidationPenalty();
```

## getAnnualGovernanceFee

* **Params:** none
* **Returns:** promise (resolves to yearly governance fee)

`getAnnualGovernanceFee()` returns a decimal representation of the annual governance fee, e.g. 0.005.

```javascript
const fee = await service.getAnnualGovernanceFee();
```

**Note:** This is often referred to as the `Stability Fee`, even though technically the `Stability Fee` is the fee that is paid in Sai, and the `Governance Fee` is the fee that is paid in MKR. But since fees are only paid in MKR in Single-Collateral Dai, and only paid in Dai in Multi-Collateral Dai, the fee in Single-Collateral Sai is often referred to as the `Stability Fee` to be consistent with the term that will be used in Multi-Collateral Dai and to avoid unduly confusing regular users.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.makerdao.com/build/dai.js/single-collateral-dai/eth-cdp-service.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
